SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000873SiT!portalpublic2009-08-15 18:262013-08-24 19:28
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionCurrent GIT 
Summary0000873: The count of articles in the portal KB is wrong
DescriptionThe count of articles in the portal KB is wrong

for me I see "Showing 1 to 4 of 4" when I have only 1.

(Only 1 record in my kbarticles table)
TagsNo tags attached.
Attached Filespng file icon kbcountbug.png [^] (82,589 bytes) 2009-08-15 18:27

- Relationships

-  Notes
User avatar (0002184)
paulh (administrator)
2009-12-03 19:35

Unable to reproduce this with current trunk can people test/confirm
User avatar (0002238)
paulh (administrator)
2009-12-24 12:59

Reminder sent to: ivan

Are you able to reproduce this one with the latest code?
User avatar (0003489)
paulh (administrator)
2010-11-30 21:15

Can repro, problem with the SQL join

SELECT k.*, s.name FROM `kbarticles` AS k, `software` as s LEFT OUTER JOIN `kbsoftware` as kbs ON kbs.softwareid=s.id WHERE (k.docid = kbs.docid OR 1=1) AND k.distribution='public' GROUP BY k.docid ORDER BY k.docid DESC LIMIT 0, 20

SELECT k.*, s.name FROM `kbarticles` AS k, `software` as s LEFT OUTER JOIN `kbsoftware` as kbs ON kbs.softwareid=s.id WHERE (k.docid = kbs.docid OR 1=1) AND k.distribution='public'

Second returns 10 (one for each skill defined) where as first returns just 1 due to group by
User avatar (0003490)
paulh (administrator)
2010-11-30 21:16

kbsoftware is empty in this case,
User avatar (0004872)
paulh (administrator)
2013-08-24 19:28

GROUP BY clause previously added to git

- Issue History
Date Modified Username Field Change
2009-08-15 18:26 ivan New Issue
2009-08-15 18:27 ivan File Added: kbcountbug.png
2009-12-03 19:35 paulh Note Added: 0002184
2009-12-03 19:35 paulh Status new => feedback
2009-12-24 12:59 paulh Note Added: 0002238
2010-11-30 21:15 paulh Status feedback => assigned
2010-11-30 21:15 paulh Assigned To => paulh
2010-11-30 21:15 paulh Note Added: 0003489
2010-11-30 21:16 paulh Note Added: 0003490
2013-08-24 19:28 paulh Note Added: 0004872
2013-08-24 19:28 paulh Status assigned => resolved
2013-08-24 19:28 paulh Resolution open => fixed
2013-08-24 19:28 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker